Bug 1557132

Summary: CVE-2018-7750 python-paramiko: Authentication bypass in transport.py [epel-all]
Product: [Fedora] Fedora EPEL Reporter: Sam Fowler <sfowler>
Component: python-paramikoAssignee: Othman Madjoudj <athmanem>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: urgent    
Version: epel7CC: agrimm, athmanem, gwync, ignatenko, ivazqueznet, orion, paul, pcahyna, rebus, sgallagh
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-paramiko-2.1.1-0.4.el7 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-10 18:07:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1557130    

Description Sam Fowler 2018-03-16 04:43:26 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Sam Fowler 2018-03-16 04:43:33 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1557130,1557132

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Paul Howarth 2018-03-16 10:18:54 UTC
The only EPEL build of python-paramiko is in EPEL-7, and that package tracks the python-paramiko package in EL-7 Extras (for full architecture support and Python 3 support).

Presumably there is a tracking bug for that package but I don't know which one it is because it's a private bug and I can't read it.

Anyway, this bug will be addressed if/when an update appears in the c7-extras branch of CentOS git.

https://git.centos.org/log/rpms!python-paramiko.git/c7-extras

Comment 3 Fedora Update System 2018-03-26 15:29:40 UTC
python-paramiko-2.1.1-0.4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-86171fce03

Comment 4 Fedora Update System 2018-03-26 16:03:12 UTC
python-paramiko-2.1.1-0.4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-86171fce03

Comment 5 Fedora Update System 2018-04-10 18:07:23 UTC
python-paramiko-2.1.1-0.4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.